> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-anrop/55.-ladda-upp-zip-filer-over-6-mb.md).

# 55. Ladda upp zip-filer (över 6 MB)

På grund av en teknisk begränsning hos AWS-molnleverantören måste uppladdning av filer större än 6 MB göras i 2 steg:

#### **1. Begär en försignerad länk för vidare direktuppladdning.**  <a href="#step1" id="step1"></a>

Som indata:&#x20;

* `fileType` - `skörd` ELLER `jord` ELLER `applicerad` ELLER `adapt` ELLER `gräns`,&#x20;
* `farmUuid` (valfritt) - uuid för gården där filen ska importeras.&#x20;

Som utdata:

* `uuid` - det förväntade uuid efter uppladdning och bearbetning,
* `farmUuid` - samma som indata,
* `fileType` - samma som indata,
* `s3Url` - URL:en som används för att ladda upp filen,
* `s3Fields` - attribut att skicka i uppladdningsformuläret för filen.

Detaljerna om hur man använder `s3Url` och `s3Fields` beskrivs i det andra steget.&#x20;

Attributen är giltiga endast i 60 minuter för att ladda upp filen.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GeneratePresignedPostFileData {
  generatePresignedPostFileData(input:{
    fileType: applied
    farmUuid: "8bba5132-3a92-4ce1-8699-220e78ad68bd"
  } ) {
    uuid
    farmUuid
    fileType
    s3Url
    s3Fields
  }
}

```

{% endcode %}

#### **2. Skicka en lokal fil till s3Url med fördefinierade formulärattribut från s3Fields.**  <a href="#step2" id="step2"></a>

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Aviseringar om bearbetningen levereras via prenumerationsmekanismen som beskrivs i\
&#x20;[1. Prenumeration: Hämta händelser](/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-anrop/1.-prenumeration-hamta-handelser.md).

{% hint style="info" %}
Svarshuvudet inkluderar en `Etag` header, som visas till exempel `Etag: "6fd3e76992738357ab50039f2c60024e"`. Detta värde används sedan i GraphQL [query getPlatformContext](/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-anrop/83.-fraga-samla-plattformskontext.md) för att övervaka bearbetningsförloppet, samt kopplingen till entiteterna "Field", "AsAppliedDataset", "YieldDataset" och "SoilDataset".
{% endhint %}

{% hint style="info" %}
Använd `‘Accept-Encoding’:’gzip, deflate, br’`.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-anrop/55.-ladda-upp-zip-filer-over-6-mb.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
